﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Windows.DataPresenter;
using System.ComponentModel;
using System.Collections.ObjectModel;

namespace WpfApplication153
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        ObservableCollection<Person> people = new ObservableCollection<Person>();
        
        public MainWindow()
        {
            InitializeComponent();
        }

        private void Window_Loaded(object sender, RoutedEventArgs e)
        {
            Person p = new Person() { Name = "matt", Age = 45, Occupation = "policeman" };
            people.Add(p);
            xgrid1.DataSource = people;
            xgrid1.FieldLayoutSettings.HeaderPrefixAreaDisplayMode = HeaderPrefixAreaDisplayMode.FieldChooserButton;
            xgrid1.FieldChooserOpening += new EventHandler<Infragistics.Windows.DataPresenter.Events.FieldChooserOpeningEventArgs>(xgrid1_FieldChooserOpening);
            xgrid1.FieldLayouts[0].Fields["Occupation"].Settings.AllowHiding = AllowFieldHiding.Never;
         
        }

        void xgrid1_FieldChooserOpening(object sender, Infragistics.Windows.DataPresenter.Events.FieldChooserOpeningEventArgs e)
        {
            //throw new NotImplementedException();
             
        }
    }
}
